package com.jboss.examples.ejb3;

import java.util.logging.Logger;
import javax.ejb.EJB;

import javax.ejb.Stateless;

/**
 * 
 * @author bmaxwell
 * Requires >= JBoss 4.2 for annotations
 */
@Stateless 
public class HelloBean implements Hello, HelloLocal
{

	@EJB()
	private Other otherBean;

	@EJB(beanName="OtherBean")
	private Other otherBean2;

	@EJB(beanName="OtherBea")
	private Other otherBean3;
	
	private Logger log = Logger.getLogger(this.getClass().toString());
	
	public void init() {
		try {
			log.info("@EJB otherBean: " + otherBean);
			log.info("@EJB(beanName=OtherBean) otherBean: " + otherBean2);
		} catch(Exception e) {
			e.printStackTrace();
		}	
	}

	public String hello(String name) throws HelloException
	{
		log.info("hello("+name+") = Hello " + name);
		return "Hello " + name;
	}

	public TransferReturnValue hello ( TransferParameter param )
	{
		log.info("hello("+ param +") = Hello " + param );
		return new TransferReturnValue ( "Hello " + param );
	}

}
