package com.jboss.examples.ejb3;

import javax.naming.*;
import java.util.*;

public class HelloUtil 
{

	private static String EAR_NAME = "helloWorld";

	public static void main(String[] args) {

	}

	public HelloUtil() 
	{
	}

	public static Context getInitialContext( String host ) throws Exception
	{
		if ( host == null ) host = "localhost";

		Properties properties = new Properties();
    properties.put(Context.INITIAL_CONTEXT_FACTORY, "org.jnp.interfaces.NamingContextFactory");
    properties.put(Context.URL_PKG_PREFIXES, "org.jboss.naming:org.jnp.interfaces");
		//properties.put("java.naming.factory.url.pkgs","=org.jboss.naming:org.jnp.interfaces");
    properties.put("jnp.socket.Factory", "org.jnp.interfaces.TimedSocketFactory");
		properties.setProperty("java.naming.provider.url", "jnp://"+ host +":1099");

		// ------- This is all the code required to get the EJB Remote interface from JNDI ------
		// ------- If you want to use the JNDI on localhost, you can just do new InitialContext() --

		Context context = new InitialContext(properties);

		return context;
	}

	public static Hello getBean(String host) throws Exception 
	{
		// ------ This code sets up to call JNDI on a different server --------
		String providerJndi = EAR_NAME + "/HelloBean/remote";
		//return (Hello) getInitialContext(host).lookup(providerJndi);
		System.out.println("Using PortableRemoteObject");
		return (Hello) javax.rmi.PortableRemoteObject.narrow ( getInitialContext(host).lookup(providerJndi), Hello.class);
	}

	public static HelloLocal getLocalBean(String host) throws Exception 
	{
		// ------- This is all the code required to get the EJB Remote interface from JNDI ------
		// ------- If you want to use the JNDI on localhost, you can just do new InitialContext() --

		String providerJndi = EAR_NAME + "/HelloBean/local";
		return (HelloLocal) getInitialContext(host).lookup(providerJndi);
	}



}
